# GetDelegatedResource

Returns all resources delegations from an account to another account. The fromAddress can be retrieved from the GetDelegatedResourceAccountIndex API.

\
**BODY PARAMS**

`{`

**`fromAddress`**` ``string`

**`toAddress`**` ``string`

**`visible`**` ``boolean`

`}`

**Note:**  &#x20;

* **fromAddress**: Energy from address, default hexString
* **toAddress:** Energy delegation information
* **visible**: optional, Whether the address is in base58 format.

**Example:**

curl --request POST\
\--url <http://172.104.51.182:16667/wallet/getdelegatedresource>\
\--header 'Accept: application/json'\
\--header 'Content-Type: application/json'\
\--data '{ "fromAddress": "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7", "toAddress": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "visible" : true }

**Input:**&#x20;

`{` \
`"fromAddress": "ARSrWnjsK5ePhAVQGHr2JSFdKSjE3vKwE7", "toAddress": "AFzFXoQCgUeoApjejKM9B46NgFGHXvUyKz", "visible" : true`&#x20;

`}`

**response:**

`{}`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.aixchain.com/http-api/api-list/account-resources/getdelegatedresource.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
